<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxInteractiveCanvas (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxInteractiveCanvas (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxInteractiveCanvas.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">hk.quantr.mxgraph.swing.view</a></div>
<h2 title="Class mxInteractiveCanvas" class="title">Class mxInteractiveCanvas</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../canvas/mxBasicCanvas.html" title="class in hk.quantr.mxgraph.canvas">hk.quantr.mxgraph.canvas.mxBasicCanvas</a></li>
<li>
<ul class="inheritance">
<li><a href="../../canvas/mxGraphics2DCanvas.html" title="class in hk.quantr.mxgraph.canvas">hk.quantr.mxgraph.canvas.mxGraphics2DCanvas</a></li>
<li>
<ul class="inheritance">
<li>hk.quantr.mxgraph.swing.view.mxInteractiveCanvas</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="../../canvas/mxICanvas.html" title="interface in hk.quantr.mxgraph.canvas">mxICanvas</a></code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">mxInteractiveCanvas</span>
extends <a href="../../canvas/mxGraphics2DCanvas.html" title="class in hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.awt.image.ImageObserver</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#imageObserver">imageObserver</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.hk.quantr.mxgraph.canvas.mxGraphics2DCanvas">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;hk.quantr.mxgraph.canvas.<a href="../../canvas/mxGraphics2DCanvas.html" title="class in hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a></h3>
<code><a href="../../canvas/mxGraphics2DCanvas.html#g">g</a>, <a href="../../canvas/mxGraphics2DCanvas.html#IMAGE_SCALING">IMAGE_SCALING</a>, <a href="../../canvas/mxGraphics2DCanvas.html#rendererPane">rendererPane</a>, <a href="../../canvas/mxGraphics2DCanvas.html#shapes">shapes</a>, <a href="../../canvas/mxGraphics2DCanvas.html#TEXT_SHAPE_DEFAULT">TEXT_SHAPE_DEFAULT</a>, <a href="../../canvas/mxGraphics2DCanvas.html#TEXT_SHAPE_HTML">TEXT_SHAPE_HTML</a>, <a href="../../canvas/mxGraphics2DCanvas.html#textShapes">textShapes</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.hk.quantr.mxgraph.canvas.mxBasicCanvas">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;hk.quantr.mxgraph.canvas.<a href="../../canvas/mxBasicCanvas.html" title="class in hk.quantr.mxgraph.canvas">mxBasicCanvas</a></h3>
<code><a href="../../canvas/mxBasicCanvas.html#DEFAULT_IMAGEBASEPATH">DEFAULT_IMAGEBASEPATH</a>, <a href="../../canvas/mxBasicCanvas.html#drawLabels">drawLabels</a>, <a href="../../canvas/mxBasicCanvas.html#imageBasePath">imageBasePath</a>, <a href="../../canvas/mxBasicCanvas.html#imageCache">imageCache</a>, <a href="../../canvas/mxBasicCanvas.html#PRESERVE_IMAGE_ASPECT">PRESERVE_IMAGE_ASPECT</a>, <a href="../../canvas/mxBasicCanvas.html#scale">scale</a>, <a href="../../canvas/mxBasicCanvas.html#translate">translate</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">mxInteractiveCanvas</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(java.awt.image.ImageObserver)">mxInteractiveCanvas</a></span>&#8203;(java.awt.image.ImageObserver&nbsp;imageObserver)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#contains(hk.quantr.mxgraph.swing.mxGraphComponent,java.awt.Rectangle,hk.quantr.mxgraph.view.mxCellState)">contains</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
        java.awt.Rectangle&nbsp;rect,
        <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#drawImageImpl(java.awt.Image,int,int)">drawImageImpl</a></span>&#8203;(java.awt.Image&nbsp;image,
             int&nbsp;x,
             int&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Overrides graphics call to use image observer.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.awt.image.ImageObserver</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getImageObserver()">getImageObserver</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>protected java.awt.Dimension</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getImageSize(java.awt.Image)">getImageSize</a></span>&#8203;(java.awt.Image&nbsp;image)</code></th>
<td class="colLast">
<div class="block">Returns the size for the given image.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#hitSwimlaneContent(hk.quantr.mxgraph.swing.mxGraphComponent,hk.quantr.mxgraph.view.mxCellState,int,int)">hitSwimlaneContent</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
                  <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;swimlane,
                  int&nbsp;x,
                  int&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Returns true if the given point is inside the content area of the given
 swimlane.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#intersects(hk.quantr.mxgraph.swing.mxGraphComponent,java.awt.Rectangle,hk.quantr.mxgraph.view.mxCellState)">intersects</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
          java.awt.Rectangle&nbsp;rect,
          <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setImageObserver(java.awt.image.ImageObserver)">setImageObserver</a></span>&#8203;(java.awt.image.ImageObserver&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.hk.quantr.mxgraph.canvas.mxGraphics2DCanvas">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;hk.quantr.mxgraph.canvas.<a href="../../canvas/mxGraphics2DCanvas.html" title="class in hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a></h3>
<code><a href="../../canvas/mxGraphics2DCanvas.html#createFillPaint(hk.quantr.mxgraph.util.mxRectangle,java.util.Map)">createFillPaint</a>, <a href="../../canvas/mxGraphics2DCanvas.html#createStroke(java.util.Map)">createStroke</a>, <a href="../../canvas/mxGraphics2DCanvas.html#createTemporaryGraphics(java.util.Map,float,hk.quantr.mxgraph.util.mxRectangle)">createTemporaryGraphics</a>, <a href="../../canvas/mxGraphics2DCanvas.html#drawCell(hk.quantr.mxgraph.view.mxCellState)">drawCell</a>, <a href="../../canvas/mxGraphics2DCanvas.html#drawImage(java.awt.Rectangle,java.lang.String)">drawImage</a>, <a href="../../canvas/mxGraphics2DCanvas.html#drawImage(java.awt.Rectangle,java.lang.String,boolean,boolean,boolean)">drawImage</a>, <a href="../../canvas/mxGraphics2DCanvas.html#drawLabel(java.lang.String,hk.quantr.mxgraph.view.mxCellState,boolean)">drawLabel</a>, <a href="../../canvas/mxGraphics2DCanvas.html#fillShape(java.awt.Shape)">fillShape</a>, <a href="../../canvas/mxGraphics2DCanvas.html#fillShape(java.awt.Shape,boolean)">fillShape</a>, <a href="../../canvas/mxGraphics2DCanvas.html#getGraphics()">getGraphics</a>, <a href="../../canvas/mxGraphics2DCanvas.html#getRendererPane()">getRendererPane</a>, <a href="../../canvas/mxGraphics2DCanvas.html#getShape(java.util.Map)">getShape</a>, <a href="../../canvas/mxGraphics2DCanvas.html#getTextShape(java.util.Map,boolean)">getTextShape</a>, <a href="../../canvas/mxGraphics2DCanvas.html#paintPolyline(hk.quantr.mxgraph.util.mxPoint%5B%5D,boolean)">paintPolyline</a>, <a href="../../canvas/mxGraphics2DCanvas.html#paintRectangle(java.awt.Rectangle,java.awt.Color,java.awt.Color)">paintRectangle</a>, <a href="../../canvas/mxGraphics2DCanvas.html#putShape(java.lang.String,hk.quantr.mxgraph.shape.mxIShape)">putShape</a>, <a href="../../canvas/mxGraphics2DCanvas.html#putTextShape(java.lang.String,hk.quantr.mxgraph.shape.mxITextShape)">putTextShape</a>, <a href="../../canvas/mxGraphics2DCanvas.html#setGraphics(java.awt.Graphics2D)">setGraphics</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.hk.quantr.mxgraph.canvas.mxBasicCanvas">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;hk.quantr.mxgraph.canvas.<a href="../../canvas/mxBasicCanvas.html" title="class in hk.quantr.mxgraph.canvas">mxBasicCanvas</a></h3>
<code><a href="../../canvas/mxBasicCanvas.html#flushImageCache()">flushImageCache</a>, <a href="../../canvas/mxBasicCanvas.html#getImageBasePath()">getImageBasePath</a>, <a href="../../canvas/mxBasicCanvas.html#getImageForStyle(java.util.Map)">getImageForStyle</a>, <a href="../../canvas/mxBasicCanvas.html#getScale()">getScale</a>, <a href="../../canvas/mxBasicCanvas.html#getTranslate()">getTranslate</a>, <a href="../../canvas/mxBasicCanvas.html#isDrawLabels()">isDrawLabels</a>, <a href="../../canvas/mxBasicCanvas.html#loadImage(java.lang.String)">loadImage</a>, <a href="../../canvas/mxBasicCanvas.html#setDrawLabels(boolean)">setDrawLabels</a>, <a href="../../canvas/mxBasicCanvas.html#setImageBasePath(java.lang.String)">setImageBasePath</a>, <a href="../../canvas/mxBasicCanvas.html#setScale(double)">setScale</a>, <a href="../../canvas/mxBasicCanvas.html#setTranslate(double,double)">setTranslate</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="imageObserver">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>imageObserver</h4>
<pre>protected&nbsp;java.awt.image.ImageObserver imageObserver</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mxInteractiveCanvas</h4>
<pre>public&nbsp;mxInteractiveCanvas()</pre>
</li>
</ul>
<a id="&lt;init&gt;(java.awt.image.ImageObserver)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mxInteractiveCanvas</h4>
<pre>public&nbsp;mxInteractiveCanvas&#8203;(java.awt.image.ImageObserver&nbsp;imageObserver)</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="setImageObserver(java.awt.image.ImageObserver)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setImageObserver</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setImageObserver&#8203;(java.awt.image.ImageObserver&nbsp;value)</pre>
</li>
</ul>
<a id="getImageObserver()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getImageObserver</h4>
<pre class="methodSignature">public&nbsp;java.awt.image.ImageObserver&nbsp;getImageObserver()</pre>
</li>
</ul>
<a id="drawImageImpl(java.awt.Image,int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>drawImageImpl</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;drawImageImpl&#8203;(java.awt.Image&nbsp;image,
                             int&nbsp;x,
                             int&nbsp;y)</pre>
<div class="block">Overrides graphics call to use image observer.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../canvas/mxGraphics2DCanvas.html#drawImageImpl(java.awt.Image,int,int)">drawImageImpl</a></code>&nbsp;in class&nbsp;<code><a href="../../canvas/mxGraphics2DCanvas.html" title="class in hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a></code></dd>
</dl>
</li>
</ul>
<a id="getImageSize(java.awt.Image)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getImageSize</h4>
<pre class="methodSignature">protected&nbsp;java.awt.Dimension&nbsp;getImageSize&#8203;(java.awt.Image&nbsp;image)</pre>
<div class="block">Returns the size for the given image.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../canvas/mxGraphics2DCanvas.html#getImageSize(java.awt.Image)">getImageSize</a></code>&nbsp;in class&nbsp;<code><a href="../../canvas/mxGraphics2DCanvas.html" title="class in hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a></code></dd>
</dl>
</li>
</ul>
<a id="contains(hk.quantr.mxgraph.swing.mxGraphComponent,java.awt.Rectangle,hk.quantr.mxgraph.view.mxCellState)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>contains</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;contains&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
                        java.awt.Rectangle&nbsp;rect,
                        <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</pre>
</li>
</ul>
<a id="intersects(hk.quantr.mxgraph.swing.mxGraphComponent,java.awt.Rectangle,hk.quantr.mxgraph.view.mxCellState)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>intersects</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;intersects&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
                          java.awt.Rectangle&nbsp;rect,
                          <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</pre>
</li>
</ul>
<a id="hitSwimlaneContent(hk.quantr.mxgraph.swing.mxGraphComponent,hk.quantr.mxgraph.view.mxCellState,int,int)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>hitSwimlaneContent</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;hitSwimlaneContent&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
                                  <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;swimlane,
                                  int&nbsp;x,
                                  int&nbsp;y)</pre>
<div class="block">Returns true if the given point is inside the content area of the given
 swimlane. (The content area of swimlanes is transparent to events.) This
 implementation does not check if the given state is a swimlane, it is
 assumed that the caller has checked this before using this method.</div>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxInteractiveCanvas.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
